#!/usr/local/bin/luac53 -p --
--[[
--@brief  Quasi Robot Language; LuaChip
--@date   Tue,15 Aug,2017
--@date   Fri,18 Aug,2017
--@date   Sun,03 Sep,2017
--@date   Sun,02 Dec,2018
--@date   Tue,01 Jan,2019
--@date   Sat,16 Feb,2019
--@date   Thu,23 Apr,2020
--@date   Tue,28 Apr,2020
--@date   Sat,31 Oct,2020
--@date   Sat,30 Oct,2021
--@date   Fri,11 Mar,2022
--@date   Mon,09 Jan,2023
--@date   Mon,26 Jun,2023
--@author Copyright(C)2017-2023 G-HAL
--]]

-- ##begin##
-- name : GOSUB
-- size : 3 , 2
-- footprint :
-- ###
-- ###
-- address :
-- chip_coordinates_tag : ##010##
-- chip_number_tag : ##011##
-- chip_number : 
-- chip_footprint_tag : ##012##
-- next_address_condition_true_coordinates_tag : ##020##
-- next_address_condition_true_tag : ##021##
-- next_address_condition_true : 0020023
-- argument : 1
-- argument_comment[1] : Subroutine
-- argument[1] : func1
-- argument_tag[1] : ##111##
-- argument_type[1] : label
-- argument_geometry[1] : x:50 , y:81 , w:123 , h:31
-- ##body##

function qrl_chip##011##(Mek, GB)
  PrintTraceMessage(GB, Mek, '##010##:##011##:GOSUB');
  PrintTracer(GB, Mek, '##012##');
  if enable_debugger then
    dbg();
  end;

  if (g_QRL_SystemVariable["SubroutineStackLimit"] < g_QRL_SystemVariable["SubroutinePtr"]) then
    print("ERROR: ##011## : Stack for subroutine call is full.");
    return '##021##';
  end;

  g_QRL_SystemVariable["SubroutinePtr"] = g_QRL_SystemVariable["SubroutinePtr"] + 1;
  g_QRL_SystemVariable["Subroutine"][g_QRL_SystemVariable["SubroutinePtr"]] = "##021##";
  return '_subroutine_##111##';
end;

-- ##end##
-- [ End of File ]
