#!/usr/local/bin/luac53 -p --
--[[
--@brief  Quasi Robot Language; LuaChip
--@date   Sun,08 Nov,2020
--@date   Sat,30 Oct,2021
--@date   Sun,06 Mar,2022
--@date   Mon,09 Jan,2023
--@date   Mon,26 Jun,2023
--@date   Tue,27 Jun,2023
--@author Copyright(C)2020-2023 G-HAL
--]]

-- ##begin##
-- name : Set String to Variable
-- size : 6 , 1
-- footprint :
-- ######
-- address :
-- chip_coordinates_tag : ##010##
-- chip_number_tag : ##011##
-- chip_number : 
-- chip_footprint_tag : ##012##
-- next_address_condition_true_coordinates_tag : ##020##
-- next_address_condition_true_tag : ##021##
-- next_address_condition_true : 0010013
-- argument : 2
-- argument_comment[1] : Result
-- argument[1] : var
-- argument_tag[1] : ##111##
-- argument_type[1] : var
-- argument_geometry[1] : x:16 , y:16 , w:123 , h:31
-- argument_comment[2] : String
-- argument[2] : string
-- argument_tag[2] : ##121##
-- argument_tag_raw[2] : ##122##
-- argument_type[2] : str
-- argument_type_selected[2] : ##123##
-- argument_geometry[2] : x:161 , y:16 , w:276 , h:31
-- ##body##

function qrl_chip##011##(Mek, GB)
  PrintTraceMessage(GB, Mek, '##010##:##011##:Set_String_to_Variable');
  PrintTracer(GB, Mek, '##012##');
  if enable_debugger then
    dbg();
  end;

  g_QRL_UserVariable_Type["##111##"] = c_Variable_Type_String;
  g_QRL_UserVariable_Contents["##111##"] = "##121##";
  return '##021##';
end;

-- ##end##
-- [ End of File ]
